/********************************************************************
*  MLXW32_A.H
*
*  This header files sets the API definitions and includes
*  some needed header files.
*
*  Operating System:    Windows 95
*                       Windows NT
*
*  SORCUS Boards:       ML8 - MODULAR-4/486
*                       ML6 - Multi-COM
*                       ML2 - Multi-LAB/2
*
*  Authors:             Dipl.-Ing. H.Doersam
*
*  Copyrights:          SORCUS Computer GmbH 1998
*                       All Rights Reserved
********************************************************************/



#ifndef _INC_MLXW32_A
#define _INC_MLXW32_A

#define _ml_bib_head



#ifdef LINUX
#ifdef __WINE__
#include <windows.h>
#endif
#else
#ifndef _MLXDRIVER_

#include <windows.h>

#endif // !_MLXDRIVER
#endif




// Interface declarations

#if defined (_MLXBIBDLL_)

   #ifdef __WINE__
      #define ML10API
   #else	
      #define  ML10API  __declspec(dllexport)
   #endif
   #define  PFAR

	#if defined (__MLXW32__) && !defined (LINUX)
		#define  MLXEXPORT __stdcall
	#else
		#define  MLXEXPORT   WINAPI
	#endif // _INC_MLXW32

#elif defined (_THUNK_)

   #define  MLXEXPORT   pascal
   #define  PFAR
   #define  ML10API  extern 

#elif defined (TEST)

   #define  MLXEXPORT  
   #define  PFAR    
   #define  ML10API 

#elif defined (_MLXDIRECT_)

   #define  MLXEXPORT
   #define  PFAR    
   #define  ML10API

#elif defined (LINUX)
	#define ML10API
	#define MLXEXPORT __attribute((__stdcall__))
	#define PFAR

#else

   #define  ML10API  __declspec(dllimport)
   #define  PFAR

#ifdef __MLXW32__
   #define  MLXEXPORT __stdcall
#else
   #define  MLXEXPORT   //WINAPI
#endif // _INC_MLXW32

/*
#else

   #ifdef LINUX
      #define ML10API
   #else
      #define  ML10API  __declspec(dllimport)
   #endif
	#define  PFAR

   #if defined(__MLXW32__) && !defined(LINUX)
      #define  MLXEXPORT __stdcall
   #else
      #define  MLXEXPORT   //WINAPI
   #endif // _INC_MLXW32
*/
#endif

#ifndef EXPORT
	#define EXPORT MLXEXPORT
#endif

#include <MLXERROR.H>      // Error defines
#include <MLXDEF.H>        // Constants (defines)
#include <MLXW32_T.H>      // Types
#include <MLXW32_P.H>      // Prototypes

#ifdef _INC_ML2BIB
#include <ML2ADAP.H>       // Adapting for ML2
#endif
#ifdef _INC_ML6BIB
#include <ML6ADAP.H>       // Adapting for ML6
#endif
#ifdef _INC_ML7BIB
#include <ML7ADAP.H>       // Adapting for ML6
#endif
#ifdef __MLXW32__
#include <ML2ADAP.H>       // Adapting for all cards
#include <ML6ADAP.H>
#include <ML7ADAP.H>
#endif




// Include MDD types and defines (must be byte aligned)
#ifdef LINUX//!
	#pragma pack(1)//!
#else//!
#ifndef __BORLANDC__
   #pragma pack(push, SORCPACK, 1)
#else
   #pragma option -a1
#endif
#endif//!

#include <MDDCPS.H>        

#ifdef LINUX//!
	#pragma pack()//!
#else//!
#ifndef __BORLANDC__
   #pragma pack(pop, SORCPACK)
#else
   #pragma option -a.
#endif
#endif//!



#endif // !_INC_MLXW32_A

